- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/patch#try-it)

Updates a notification config. The following update fields are allowed: description, pubsubTopic, streamingConfig.filter

### IAM Permissions

Requires the following IAM permission on the `notificationConfig.name` field:

- `securitycenter.notificationconfig.update`

Also requires the following IAM permission on the `notificationConfig.pubsub_topic` field (when `pubsubTopic` is updated):

- `pubsub.topics.setIamPolicy`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v1p1beta1/{notificationConfig.name=organizations/*/notificationConfigs/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `notificationConfig.name` | `string` The relative resource name of this notification config. See: <https://cloud.google.com/apis/design/resource_names#relative_resource_name> Example: "organizations/{organizationId}/notificationConfigs/notify_public_bucket". |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The FieldMask to use when updating the notification config. If empty all mutable fields will be updated. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs#NotificationConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs#NotificationConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).